Search Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples

Search and retrieve columns. Only users who have read access to the dataset to which the column is associated, can retrieve the columns of that dataset.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
name Multilingual string
description Multilingual string
order NUMBER
source_name STRING
type STRING
subtype STRING
format STRING
informat STRING
isLabel BOOLEAN
lowestLevel NUMBER
expression STRING
created_at DATETIME
updated_at DATETIME
securable_id UUID
width NUMBER
colors_enabled BOOLEAN
hierarchy_enabled BOOLEAN
currency_id STRING
duration_levels ARRAY[NUMERIC]
duration_format STRING
custom_metadata OBJECT
Can be executed by:
Securable Reader
Can be associated to:
Securable
Joins
HierarchyLevels
Currency
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
composer require luzmo/luzmo-sdk-php
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "cfc29a4a-c144-4ba3-9a0f-26a1da6a6994",
      "name": {
        "en": "Purchase value"
      },
      "description": null,
      "order": 3,
      "source_name": "purchase_value",
      "type": "numeric",
      "subtype": null,
      "format": ".0f",
      "informat": "numeric",
      "previous_datetime_informat": null,
      "color": "#9ecae1",
      "prefix": null,
      "suffix": null,
      "isLabel": false,
      "minBound": null,
      "maxBound": null,
      "cardinality": null,
      "lowestLevel": 0,
      "highestLevel": 0,
      "minimum": null,
      "maximum": null,
      "expression": null,
      "derivation": null,
      "version": 0,
      "width": 170,
      "hierarchy_enabled": false,
      "ordering_enabled": false,
      "colors_enabled": true,
      "aggregation_type": "sum",
      "custom_aggregations": null,
      "custom_metadata": null,
      "duration_levels": null,
      "duration_format": "long",
      "created_at": "2024-01-16T15:21:37.925Z",
      "updated_at": "2024-02-06T14:01:50.053Z",
      "securable_id": "807623f5-ac65-4022-bc87-595b412ce397",
      "aggregation_id": null,
      "currency_id": null
    }
  ]
}